<?php
$titlu='Sitemap meditații';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/meditatii','Meditații');
$categorii=$conn->query('SELECT`id`,`nume`FROM`meditatii_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/meditatii/pagina/'.$z1,'Meditații - pagina '.$z1);
}
$y2=1;
$z2=1;
echo sitemap($adresasite[0].'/meditatii/categorie/'.$categorie[0].'-'.seo($categorie[1]),'Meditații, categoria '.htmlspecialchars($categorie[1]));
$meditatii=$conn->query('SELECT`id`,`nume`FROM`meditatii`WHERE`cid`="'.$categorie[0].'"ORDER BY`data`DESC');
while($meditatie=$meditatii->fetch_row())
{
if(ceil($y2/$pepagyna)>$z2)
{
$z2++;
echo sitemap($adresasite[0].'/meditatii/categorie/'.$categorie[0].'-'.seo($categorie[1]).'/pagina/'.$z2,'Meditații, categoria '.htmlspecialchars($categorie[1]).' - pagina '.$z2);
}
echo sitemap($adresasite[0].'/meditatie/id/'.$meditatie[0].'-'.seo($meditatie[1]),'Meditație '.htmlspecialchars($meditatie[1]));
$aprecieriile=$conn->query('SELECT COUNT(*)FROM`meditatii_aprecieri`WHERE`pid`="'.$meditatie[0].'"&&`valoare`="1"')->fetch_row()[0];
if($aprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-meditatie/id/'.$meditatie[0].'-'.seo($meditatie[1]).'/tip/aprecieri','Aprecieri meditatie '.htmlspecialchars($meditatie[1]));
$numar_aprecieri=ceil($aprecieriile/$pepagyna);
for($aprecieri=1;$aprecieri<$numar_aprecieri;$aprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-meditatie/id/'.$meditatie[0].'-'.seo($meditatie[1]).'/tip/aprecieri/pagina/'.($aprecieri+1),'Aprecieri meditatie '.htmlspecialchars($meditatie[1]).' - pagina '.($aprecieri+1));
}
}
$dezaprecieriile=$conn->query('SELECT COUNT(*)FROM`meditatii_aprecieri`WHERE`pid`="'.$meditatie[0].'"&&`valoare`="2"')->fetch_row()[0];
if($dezaprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-meditatie/id/'.$meditatie[0].'-'.seo($meditatie[1]).'/tip/dezaprecieri','Dezaprecieri meditatie '.htmlspecialchars($meditatie[1]));
$numar_dezaprecieri=ceil($dezaprecieriile/$pepagyna);
for($dezaprecieri=1;$dezaprecieri<$numar_dezaprecieri;$dezaprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-meditatie/id/'.$meditatie[0].'-'.seo($meditatie[1]).'/tip/dezaprecieri/pagina/'.($dezaprecieri+1),'Dezaprecieri meditatie '.htmlspecialchars($meditatie[1]).' - pagina '.($dezaprecieri+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`meditatii_comentarii`WHERE`pid`="'.$meditatie[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-meditatie/id/'.$meditatie[0].'-'.seo($meditatie[1]),'Comentarii meditatie '.htmlspecialchars($meditatie[1]));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-meditatie/id/'.$meditatie[0].'-'.seo($meditatie[1]).'/pagina/'.($comentarii+1),'Comentarii meditatie '.htmlspecialchars($meditatie[1]).' - pagina '.($comentarii+1));
}
}
$notele=$conn->query('SELECT COUNT(*)FROM`meditatii_note`WHERE`pid`="'.$meditatie[0].'"')->fetch_row()[0];
if($notele>0)
{
echo sitemap($adresasite[0].'/note-meditatie/id/'.$meditatie[0].'-'.seo($meditatie[1]),'Note meditatie '.htmlspecialchars($meditatie[1]));
$numar_note=ceil($notele/$pepagyna);
for($note=1;$note<$numar_note;$note++)
{
echo sitemap($adresasite[0].'/note-meditatie/id/'.$meditatie[0].'-'.seo($meditatie[1]).'/pagina/'.($note+1),'Note meditatie '.htmlspecialchars($meditatie[1]).' - pagina '.($note+1));
}
}
$y2++;
}
$y1++;
}
echo$x2;
require'f_fun.php';